### Name: WGassociation
### Title: Whole genome association analysis
### Aliases: WGassociation print.WGassociation summary.WGassociation
### Keywords: utilities

### ** Examples

data(SNPs)
datSNP<-setupSNP(SNPs,6:40,sep="")
ansAll<-WGassociation(protein~1,data=datSNP,model="all")

#only codominant and log-additive
ansCoAd<-WGassociation(protein~1,data=datSNP,model=c("co","log-add"))

#for printing p values
print(ansAll)
print(ansCoAd)

#for obtaining a matrix with the p palues
pvalAll<-attr(ansAll,"pvalues")
pvalCoAd<-attr(ansCoAd,"pvalues")

#for a big summary
summary(ansAll)
summary(ansCoAd)

#for plotting the p values
plot(ansAll)

#
# Whole genome analysis
#
data(HapMap)

# Next steps may be very time consuming. So they are not executed

#myDat<-setupSNP(HapMap, colSNPs=3:9809, sort = TRUE,
#   info=HapMap.SNPs.pos, sep="")
#resHapMap<-WGassociation(group~1, data=myDat, model="log")

# However, the results are saved in the object "resHapMap"
# to illustrate print, summary and plot functions
print(resHapMap)
summary(resHapMap)
plot(resHapMap)




